### Method

# Gdk Event_get_center

#### Declaration [src]

    gboolean
    gdk_events_get_center (
      GdkEvent* event1,
      GdkEvent* event2,
      double* x,
      double* y
    )

#### Description [src]

Returns the point halfway between the events’ positions.

This assumes that both events have X/Y information. If not, this function returns `FALSE`.

#### Parameters

`event2` | `GdkEvent`
| Second `GdkEvent`.
| The data is owned by the caller of the function.
`x` | `double*`
| Return location for the X coordinate of the center.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`y` | `double*`
| Return location for the Y coordinate of the center.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if the center could be calculated.